#103 Unable to instantiate editor

v0.3.0
closed-invalid
nobody
Editor (234)
5
2004-12-06
2004-10-25
Anonymous
No

I am using EPIC v0.3.0, Eclipse 3.0.1.
Details snapshot attached.

Besides, I can't access Editor and Templates in
Preferences->Perl Epic. It says, "A error has ocurred.
See log for details". But, where is the log? It prints
nothing to stdout.

Discussion

  • Logged In: NO

    I forgot to say, I am using Trustudio PHP + Eclipse Bundle.

     
  • LeO
    LeO
    2004-10-27

    Logged In: YES
    user_id=703323

    v0.3.0 is not the current version. Please upgrade to 0.3.8.

    as well, there is no screenshot attached. more useful would
    be the eclipse-log.

     
  • LeO
    LeO
    2004-10-27

    Logged In: YES
    user_id=703323

    v0.3.0 is not the current version. Please upgrade to 0.3.8.

    as well, there is no screenshot attached. more useful would
    be the eclipse-log.

     
  • LeO
    LeO
    2004-10-27

    Logged In: YES
    user_id=703323

    v0.3.0 is not the current version. Please upgrade to 0.3.8.

    as well, there is no screenshot attached. more useful would
    be the eclipse-log.

     
  • LeO
    LeO
    2004-10-27

    Logged In: YES
    user_id=703323

    v0.3.0 is not the current version. Please upgrade to 0.3.8.

    as well, there is no screenshot attached. more useful would
    be the eclipse-log.

     
  • LeO
    LeO
    2004-10-27

    Logged In: YES
    user_id=703323

    v0.3.0 is not the current version. Please upgrade to 0.3.8.

    as well, there is no screenshot attached. more useful would
    be the eclipse-log.

     
  • Logged In: NO

    I have the same problem. The following is from my log file.
    It displays the results from logging in, then going to
    preferences/perlEPIC and clicking on Editor - which displays
    an error.

    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:277)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:239)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:117)
    at
    sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at
    sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at
    sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at
    org.eclipse.core.launcher.Main.basicRun(Main.java:267)
    at org.eclipse.core.launcher.Main.run(Main.java:692)
    at org.eclipse.core.launcher.Main.main(Main.java:676)
    !SESSION Nov 16, 2004 09:17:34.343
    ---------------------------------------------
    java.version=1.4.2_04
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_US
    !ENTRY org.eclipse.core.runtime 2 0 Nov 16, 2004 09:17:34.343
    !MESSAGE Legacy plug-in "org.trustudio.python.parser" must
    not be automatically activated on startup. This is probably c
    aused by a previous crash in Eclipse.
    !ENTRY
    reference:file:c:/eclipse/plugins/org.trustudio.python.parser_1.0.0/
    0 0 Nov 16, 2004 09:17:34.343
    !MESSAGE FrameworkEvent.ERROR
    !STACK 0
    org.osgi.framework.BundleException: Exception in
    org.eclipse.core.internal.compatibility.PluginActivator.start()
    at
    org.eclipse.osgi.framework.internal.core.BundleContext.startActivator(BundleContext.java:1009)
    at
    org.eclipse.osgi.framework.internal.core.BundleContext.start(BundleContext.java:971)
    at
    org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:404)
    at
    org.eclipse.osgi.framework.internal.core.Bundle.resume(Bundle.java:377)
    at
    org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:971)
    at
    org.eclipse.osgi.framework.internal.core.StartLevelImpl.resumeBundles(StartLevelImpl.java:565)
    at
    org.eclipse.osgi.framework.internal.core.StartLevelImpl.incFWSL(StartLevelImpl.java:479)
    at
    org.eclipse.osgi.framework.internal.core.StartLevelImpl.doSetStartLevel(StartLevelImpl.java:269)
    at
    org.eclipse.osgi.framework.internal.core.StartLevelImpl.dispatchEvent(StartLevelImpl.java:439)
    at
    org.eclipse.osgi.framework.eventmgr.ListenerList.dispatchEvent(ListenerList.java:135)
    at
    org.eclipse.osgi.framework.eventmgr.EventThread$EventThreadItem.dispatchEvent(EventThread.java:59)
    at
    org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:118)
    Nested exception:
    org.osgi.framework.BundleException: Legacy plug-in
    "org.trustudio.python.parser" must not be automatically
    activated on
    startup. This is probably caused by a previous crash in Eclipse.
    at
    org.eclipse.core.internal.compatibility.PluginActivator.ensureNormalStartup(PluginActivator.java:61)
    at
    org.eclipse.core.internal.compatibility.PluginActivator.start(PluginActivator.java:45)
    at
    org.eclipse.osgi.framework.internal.core.BundleContext$1.run(BundleContext.java:992)
    at
    java.security.AccessController.doPrivileged(Native Method)
    at
    org.eclipse.osgi.framework.internal.core.BundleContext.startActivator(BundleContext.java:988)
    at
    org.eclipse.osgi.framework.internal.core.BundleContext.start(BundleContext.java:971)
    at
    org.eclipse.osgi.framework.internal.core.BundleHost.startWorker(BundleHost.java:404)
    at
    org.eclipse.osgi.framework.internal.core.Bundle.resume(Bundle.java:377)
    at
    org.eclipse.osgi.framework.internal.core.Framework.resumeBundle(Framework.java:971)
    at
    org.eclipse.osgi.framework.internal.core.StartLevelImpl.resumeBundles(StartLevelImpl.java:565)
    at
    org.eclipse.osgi.framework.internal.core.StartLevelImpl.incFWSL(StartLevelImpl.java:479)
    at
    org.eclipse.osgi.framework.internal.core.StartLevelImpl.doSetStartLevel(StartLevelImpl.java:269)
    at
    org.eclipse.osgi.framework.internal.core.StartLevelImpl.dispatchEvent(StartLevelImpl.java:439)
    at
    org.eclipse.osgi.framework.eventmgr.ListenerList.dispatchEvent(ListenerList.java:135)
    at
    org.eclipse.osgi.framework.eventmgr.EventThread$EventThreadItem.dispatchEvent(EventThread.java:59)
    at
    org.eclipse.osgi.framework.eventmgr.EventThread.run(EventThread.java:118)
    !ENTRY org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Bundle
    reference:file:c:/eclipse/plugins/com.cross.easystruts.eclipse_0.6.3/
    [86] was not resolved
    !ENTRY org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Bundle
    reference:file:c:/eclipse/plugins/org.trustudio.jetty_4.2.9/
    [137] was not resolved
    !SUBENTRY 1 org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Missing required bundle org.eclipse.tomcat
    !ENTRY org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Bundle
    reference:file:c:/eclipse/plugins/org.trustudio.php.launching.web_1.0.0/
    [150] was not resolved
    !SUBENTRY 1 org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Missing required bundle org.trustudio.web.debug
    !SUBENTRY 1 org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Missing required bundle org.eclipse.tomcat
    !ENTRY org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Bundle
    reference:file:c:/eclipse/plugins/org.trustudio.web.debug.ui_1.0.0/
    [165] was not resolved
    !SUBENTRY 1 org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Missing required bundle org.eclipse.tomcat
    !SUBENTRY 1 org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Missing required bundle org.trustudio.web.debug
    !ENTRY org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Bundle
    reference:file:c:/eclipse/plugins/org.trustudio.web.debug_1.0.0/
    [166] was not resolved
    !SUBENTRY 1 org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Missing required bundle org.eclipse.tomcat
    !ENTRY org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Bundle
    reference:file:c:/eclipse/plugins/org.trustudio.web.launching.jetty_1.0.0/
    [168] was not resolved
    !SUBENTRY 1 org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Missing required bundle org.trustudio.jetty
    !SUBENTRY 1 org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Missing required bundle org.eclipse.tomcat
    !SUBENTRY 1 org.eclipse.osgi Nov 16, 2004 09:17:34.375
    !MESSAGE Missing required bundle org.trustudio.web.debug
    !ENTRY org.eclipse.core.runtime 4 2 Nov 16, 2004 09:19:31.15
    !MESSAGE Problems occurred when invoking code from plug-in:
    "org.eclipse.core.runtime".
    !STACK 0
    java.lang.NoClassDefFoundError:
    cbg/editor/ColoringSourceViewerConfiguration
    at java.lang.ClassLoader.defineClass0(Native Method)
    at java.lang.ClassLoader.defineClass(Unknown Source)
    at
    org.eclipse.osgi.framework.internal.defaultadaptor.DefaultClassLoader.defineClass(DefaultClassLoader.java:309
    )
    at
    org.eclipse.core.runtime.adaptor.EclipseClassLoader.defineClass(EclipseClassLoader.java:175)
    at
    org.eclipse.osgi.framework.internal.defaultadaptor.DefaultClassLoader.findClassImpl(DefaultClassLoader.java:2
    98)
    at
    org.eclipse.osgi.framework.internal.defaultadaptor.DefaultClassLoader.findClass(DefaultClassLoader.java:187)
    at
    org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.findLocalClass(AbstractClassLoader.java:243)
    at
    org.eclipse.core.runtime.adaptor.EclipseClassLoader.findLocalClass(EclipseClassLoader.java:104)
    at
    org.eclipse.osgi.framework.internal.core.BundleLoader.findLocalClass(BundleLoader.java:315)
    at
    org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:346)
    at
    org.eclipse.osgi.framework.adaptor.core.AbstractClassLoader.loadClass(AbstractClassLoader.java:116)
    at java.lang.ClassLoader.loadClass(Unknown Source)
    at java.lang.ClassLoader.loadClassInternal(Unknown
    Source)
    at java.lang.Class.getDeclaredConstructors0(Native
    Method)
    at
    java.lang.Class.privateGetDeclaredConstructors(Unknown Source)
    at java.lang.Class.getConstructor0(Unknown Source)
    at java.lang.Class.newInstance0(Unknown Source)
    at java.lang.Class.newInstance(Unknown Source)
    at
    org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:1
    40)
    at
    org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:1
    25)
    at
    org.eclipse.core.internal.registry.ConfigurationElement.createExecutableExtension(ConfigurationElement.java:1
    14)
    at
    org.eclipse.ui.internal.WorkbenchPlugin$1.run(WorkbenchPlugin.java:189)
    at
    org.eclipse.swt.custom.BusyIndicator.showWhile(BusyIndicator.java:84)
    at
    org.eclipse.ui.internal.WorkbenchPlugin.createExtension(WorkbenchPlugin.java:186)
    at
    org.eclipse.ui.internal.dialogs.WorkbenchPreferenceNode.createPage(WorkbenchPreferenceNode.java:60)
    at
    org.eclipse.jface.preference.PreferenceDialog.showPage(PreferenceDialog.java:982)
    at
    org.eclipse.jface.preference.PreferenceDialog$9.selectionChanged(PreferenceDialog.java:570)
    at
    org.eclipse.jface.viewers.StructuredViewer$3.run(StructuredViewer.java:431)
    at
    org.eclipse.core.internal.runtime.InternalPlatform.run(InternalPlatform.java:610)
    at
    org.eclipse.core.runtime.Platform.run(Platform.java:521)
    at
    org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(StructuredViewer.java:429)
    at
    org.eclipse.jface.viewers.StructuredViewer.handlePostSelect(StructuredViewer.java:680)
    at
    org.eclipse.jface.viewers.StructuredViewer$5.widgetSelected(StructuredViewer.java:698)
    at
    org.eclipse.jface.util.OpenStrategy.firePostSelectionEvent(OpenStrategy.java:198)
    at
    org.eclipse.jface.util.OpenStrategy.access$4(OpenStrategy.java:193)
    at
    org.eclipse.jface.util.OpenStrategy$3.run(OpenStrategy.java:334)
    at
    org.eclipse.swt.widgets.RunnableLock.run(RunnableLock.java:35)
    at
    org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(Synchronizer.java:106)
    at
    org.eclipse.swt.widgets.Display.runAsyncMessages(Display.java:2555)
    at
    org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2260)
    at
    org.eclipse.jface.window.Window.runEventLoop(Window.java:670)
    at org.eclipse.jface.window.Window.open(Window.java:650)
    at
    org.eclipse.ui.internal.OpenPreferencesAction.run(OpenPreferencesAction.java:72)
    at
    org.eclipse.jface.action.Action.runWithEvent(Action.java:881)
    at
    org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(ActionContributionItem.java:550)
    at
    org.eclipse.jface.action.ActionContributionItem.access$2(ActionContributionItem.java:502)
    at
    org.eclipse.jface.action.ActionContributionItem$5.handleEvent(ActionContributionItem.java:435)
    at
    org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:82)
    at
    org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:769)
    at
    org.eclipse.swt.widgets.Display.runDeferredEvents(Display.java:2578)
    at
    org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:2256)
    at
    org.eclipse.ui.internal.Workbench.runEventLoop(Workbench.java:1562)
    at
    org.eclipse.ui.internal.Workbench.runUI(Workbench.java:1536)
    at
    org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:257)
    at
    org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:139)
    at
    org.eclipse.ui.internal.ide.IDEApplication.run(IDEApplication.java:90)
    at
    org.eclipse.core.internal.runtime.PlatformActivator$1.run(PlatformActivator.java:277)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:239)
    at
    org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:117)
    at
    sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at
    sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    at
    sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    at java.lang.reflect.Method.invoke(Unknown Source)
    at
    org.eclipse.core.launcher.Main.basicRun(Main.java:267)
    at org.eclipse.core.launcher.Main.run(Main.java:692)
    at org.eclipse.core.launcher.Main.main(Main.java:676)

     
  • LeO
    LeO
    2004-11-17

    Logged In: YES
    user_id=703323

    Meeeeehn, this last entry sucks. Wouldn't it be possible to
    attach it via txt-file????

    And I'm not sure, if there is a problem related to other
    plugins you've installed (trustudio).

    Unclear is the Eclipse version + epic version. In my
    envirornment everything works quite fine (Eclipse 3.1M2,
    epic 0.3.8, WinXP).

     
  • Logged In: NO

    I have unpacked plugins/*epic* jar files in folders named as
    the file without the '.jar' string and now it works.

     
  • LeO
    LeO
    2004-12-06

    • status: open --> closed-invalid